#version 330 core

layout(location=0) out vec4 vFragColor;	//wyjście shadera fragmentów

//wejście z shadera wierzchołków
smooth in vec4 vSmoothColor;		//interpolowany kolor dla shadera fragmentów

void main()
{
	//interpolowany kolor jako wyjście shadera
	vFragColor = vSmoothColor;
}